from openpyxl import load_workbook
import os
import shutil
import graphs
import cords
import imageGen


#Setup directorys
try:
    os.mkdir('./.gen')
    os.mkdir('./gen')
except:
    pass

# Generate Graphs
wb = load_workbook('./Numbers.xlsx', data_only=True)
graphs.gen_EF(wb)
graphs.gen_LI(wb)
graphs.gen_DI(wb)
graphs.gen_Roth_IRA(wb)
graphs.gen_Roth_Catch_Up(wb)
graphs.gen_401K_Contribution(wb)
graphs.gen_401K_Catch_Up(wb)
graphs.gen_HSA_Contribution(wb)
graphs.gen_FSA_Contribution(wb)
graphs.gen_Oh_I_Mountain(wb)


# Image Work
imageGen.gen_I_Mountain(wb)
imageGen.gen_O_Mountain(wb)
imageGen.gen_Oh_I_Mountain(wb)


#im_1.save(r'C:\Users\Ron\Desktop\Test\my_images.pdf', save_all=True, append_images=image_list)

#Remove directorys
shutil.rmtree('./.gen')


